var com = com || {};
com.nature = com.nature || {};
var _tag = _tag;
(function ($) {

	/* Figuring out what css is being used and then adding new web trends meta */

	var mobileCss = $("#mobile-css-test").css("display");

	if (mobileCss === "block") {
		$("head").append('<meta name="WT.z_css" content="mobile" />');
	} else {
		$("head").append('<meta name="WT.z_css" content="desktop" />');
	}

	$(document).ready(function () {

		/* Creating the mobile js navigation and search */

		$('.menu-sub li:nth-child(odd)').addClass('odd');

		$('#menu-parent').click(function () {
			if ($(this).hasClass('menu-up')) {
				$('.menu-sub').hide(100, function () {
					$('#menu-parent').removeClass('menu-up');
				});
			} else {
				$('#menu-parent').addClass('menu-up');
				$('.menu-sub').show(100);
			}
			return false;
		});


		var searchOpen = false;
		$('#search-parent').click(function () {
			$('.menu-sub').hide(400, function () {
				$('#menu-parent').removeClass('menu-up');
			});

			$('#header-search').toggle();
			if ($('#header-keyword:not(:focus)')) {
				$('#header-keyword').focus();
			}

			return false;
		});

		/* Using web trends multi track to monitor the toggle between desktop and mobile */

		var switchView = com.nature.Cookie.get('switchView');
		if (switchView === 'desktop') {
			$("#toggle").click(function () {
				com.nature.Cookie.set('switchView', '', -1, '/');
				var args = [];
				args.push("WT.action");
				args.push("toggle_css_mobile");
				args.push("WT.source");
				args.push("css_desktop");
				args.push("WT.destination");
				args.push("css_mobile");
				args.push("WT.dl");
				args.push("1");
				args.push("WT.ndl");
				args.push("1");
				_tag.dcsMultiTrack.apply(_tag, args);
				location.reload();
			});
		} else {
			$("#toggle").click(function () {
				com.nature.Cookie.set('switchView', 'desktop', 1, '/');
				var args = [];
				args.push("WT.action");
				args.push("toggle_css_desktop");
				args.push("WT.source");
				args.push("css_mobile");
				args.push("WT.destination");
				args.push("css_desktop");
				args.push("WT.dl");
				args.push("1");
				args.push("WT.ndl");
				args.push("1");
				_tag.dcsMultiTrack.apply(_tag, args);
				location.reload();
			});
		}

		$(".small-screen ul.tab-bar").each(function () {
			var list = $(this),
				doc = document,
				select = $(doc.createElement("select")).insertBefore($(this).hide()),
				label = $(doc.createElement("label")).insertBefore(select);
			label.text("Archive Type:");
			label.addClass("mobile-filter");
			select.addClass("mobile-filter ");
			$(">li", this).each(function () {
				var option = $(doc.createElement("option"))
					.appendTo(select)
					.val($(this).find("a").attr("href"))
					.html($(this).text()),

				selected = $(this).hasClass("active");

				if (selected === true) {
					$(option).attr("selected", "selected");
				}
			});

			select.change(function () {
				window.location = $(this).val();
			});
		});
	});

	/*! A fix for the iOS orientationchange zoom bug.
	Script by @scottjehl, rebound by @wilto.
	MIT License.
	*/
	(function (w) {
		// This fix addresses an iOS bug, so return early if the UA claims it's something else.
		var ua = navigator.userAgent;
		if (!(/iPhone|iPad|iPod/.test(navigator.platform) && /OS [1-5]_[0-9_]* like Mac OS X/i.test(ua) && ua.indexOf("AppleWebKit") > -1)) {
			return;
		}
		var doc = w.document;
		if (!doc.querySelector) { return; }
		var meta = doc.querySelector("meta[name=viewport]"),
			initialContent = meta && meta.getAttribute("content"),
			disabledZoom = initialContent + ",maximum-scale=1",
			enabledZoom = initialContent + ",maximum-scale=10",
			enabled = true,
			x, y, z, aig;
		if (!meta) { return; }
		function restoreZoom() {
			meta.setAttribute("content", enabledZoom);
			enabled = true;
		}
		function disableZoom() {
			meta.setAttribute("content", disabledZoom);
			enabled = false;
		}
		function checkTilt(e) {
			aig = e.accelerationIncludingGravity;
			x = Math.abs(aig.x);
			y = Math.abs(aig.y);
			z = Math.abs(aig.z);
			// If portrait orientation and in one of the danger zones
			if ((!w.orientation || w.orientation === 180) && (x > 7 || ((z > 6 && y < 8 || z < 8 && y > 6) && x > 5))) {
				if (enabled) {
					disableZoom();
				}
			}
			else if (!enabled) {
				restoreZoom();
			}
		}
		w.addEventListener("orientationchange", restoreZoom, false);
		w.addEventListener("devicemotion", checkTilt, false);
	}(this));
}(jQuery));

